FIX:使用 VSS 5.0 创建的 OLE 自动化不能在 VSS 6.0 计算机上工作

文章翻译 文章翻译
文章编号: 279228 - 查看本文应用于的产品
本文已归档。它按“原样”提供,并且不再更新。
展开全部 | 关闭全部

本文内容

症状

如果 Visual SourceSafe (VSS) OLE 自动化代码是在安装有 VSS 5.0 的计算机上创建的,并且随后在安装有 VSS 6.0 的计算机上运行,这些代码将不能工作。

状态

Microsoft 已经确认这是本文开头列出的 Microsoft 产品中的错误。此错误已在 Visual Studio 6.0 的最新 Service Pack 中纠正。

有关 Visual Studio Service Pack 的其他信息,请单击下面的文章编号,以查看 Microsoft 知识库中相应的文章:
194022 INFO:Visual Studio 6.0 Service Pack 的简介、获取地点和安装原因

194295 HOWTO:了解是否安装了 Visual Studio Service Pack
要下载最新的 Visual Studio Service Pack,请访问以下 Microsoft Web 站点:
http://msdn2.microsoft.com/en-us/vstudio/Aa718353.aspx

更多信息

重现问题的步骤

  1. 创建一个 Microsoft Visual C++ OLE 自动化程序,例如位于以下 Microsoft Web 站点上的自动化程序:
    http://msdn.microsoft.com/ssafe/downloads/vsstree.zip
  2. 在安装有 SourceSafe (ssapi.dll) 5.0 版的计算机上编译此程序。
  3. 在安装有 VSS 6.0 的另一台计算机上运行可执行文件。

属性

文章编号: 279228 - 最后修改: 2013年10月21日 - 修订: 1.2
这篇文章中的信息适用于:
  • Microsoft Visual SourceSafe 6.0 标准版
关键字:?
kbnosurvey kbarchive kbbug kbfix kbvs600sp5fix kbssafe600fix kbautomation KB279228
Microsoft和/或其各供应商对于为任何目的而在本服务器上发布的文件及有关图形所含信息的适用性,不作任何声明。 所有该等文件及有关图形均"依样"提供,而不带任何性质的保证。Microsoft和/或其各供应商特此声明,对所有与该等信息有关的保证和条件不负任何责任,该等保证和条件包括关于适销性、符合特定用途、所有权和非侵权的所有默示保证和条件。在任何情况下,在由于使用或运行本服务器上的信息所引起的或与该等使用或运行有关的诉讼中,Microsoft和/或其各供应商就因丧失使用、数据或利润所导致的任何特别的、间接的、衍生性的损害或任何因使用而丧失所导致的之损害、数据或利润不负任何责任。

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com